import { Component, ViewChild, OnInit, Input, AfterContentInit } from '@angular/core';
import { Router } from '@angular/router';

import { Sensor } from 'packages/sensor/model';

@Component({
  selector: 'of-target-detail',
  templateUrl: './detail.component.html',
})
export class DetailComponent implements OnInit, AfterContentInit {

  constructor(private router: Router) { }

  ngOnInit() {
  }

  ngAfterContentInit() {
  }

  handleSensorClick(sensor: Sensor) {
  }

  handleCheckAlive() {
  }

  handleTraceroute() {
  }
}
